Skip to navigation

Retrieve points

Retrieves all details from multiple points.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to retrieve from

Query parameters

consistencyinteger or enumOptional
Define read consistency guarantees for the operation
timeoutintegerOptional>=1
If set, overrides global timeout for this request. Unit is seconds.

Request

List of points to retrieve
idslist of uint64s or stringsRequired
Look for points with ids
shard_keystring or uint64 or list of strings or uint64s or object or anyOptional

Specify in which shards to look for the points, if not specified - look in all shards

with_payloadboolean or list of strings or object or anyOptional
Select which payload to return with the response. Default is true.
with_vectorboolean or list of stringsOptional
Options for specifying which vector to include

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultlist of objectsOptional

Errors

4XX
Client Request Error